Pi Durable Platformdocs
ReferenceModels and usage

Ask the provider which models it offers (platform admins)

POST
/v1/admin/model-providers/{providerId}/discover

A team's provider is reached through the address guard (422 address_not_allowed).

Path Parameters

providerId*string
Formatuuid

Response Body

Models the provider offers

application/json
  1. response
data*array<>
curl -X POST 'https://agents.example.com/v1/admin/model-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08/discover'
{  "data": [    {      "id": "string",      "name": "string",      "contextWindow": 0,      "added": true    }  ]}